﻿table.chart-table tr > th:last-child, table.chart-table tr > td:last-child {
    padding: 1px 0px 1px 2px;
    text-align: right;
}

table.chart-table tr > th:first-child, table.chart-table tr > td:first-child {
    padding: 1px 2px 1px 0px;
    text-align: left;
}

td, th {
    padding: 0.375rem 0.5rem;
    border-radius: 0;
}

th {
    font-weight: 500;
    border-radius: 0;
}

    th.subtitle {
        font-weight: normal;
    }

table:not(.datepicker-table) {
    border-collapse: collapse;
}

table.highlight > thead {
    background-color: #DDDDDD;
}

    table.highlight > thead > tr {
        background-color: #00a7b3;
        color: #ffffff;
    }

table.compact > thead > th, table.compact > tbody > td, table.compact > tfoot > td {
    padding: 3px 5px;
    border-radius: 0;
}

table.bordered tr, table.bordered th, table.bordered td {
    border: 1px solid #DDDDDD;
}

table.striped > tbody > tr:nth-child(odd) {
    background-color: #f2f2f2;
}

tr.no-border-b {
    border-bottom: none;
}

tr[data-active="0"] > td {
    background-color: #eeeeee;
}

.tabledata-container {
    max-height: 600px;
    overflow: auto;
}

    .tabledata-container table {
        position: relative;
        border-collapse: separate;
    }

    .tabledata-container thead {
        position: sticky;
        top: 0;
    }

    .tabledata-container tfoot {
        background: #c9e9e6;
        position: sticky;
        bottom: 0;
    }

        .tabledata-container tfoot th {
            font-weight: 600;
        }

.sort {
    cursor: pointer;
}

    .sort.asc, .sort.desc {
        color: #dd2c00;
    }

    .sort::after {
        content: "\002B81";
        padding-left: 3px;
        display: inline-block;
        width: 25px;
        text-align: center;
        opacity: 0.4;
    }

    .sort.asc::after {
        content: "\002B06";
        opacity: 1;
    }

    .sort.desc::after {
        content: "\002B07";
        opacity: 1;
    }

span.badge {
    font-weight: 300;
    font-size: 0.8rem;
    color: #fff;
    border-radius: 0.25rem;
}

    span.badge.data {
        background-color: #bf360c;
    }

    span.badge.country {
        background-color: #0d47a1;
    }

    span.badge.cruiseline {
        background-color: #40653C;
    }

    span.badge.regional {
        background-color: #4a148c;
    }

.searchContainer {
    display: flex;
    flex-direction: row;
    margin-bottom: 1rem;
    justify-content: space-between;
    align-items: flex-end;
    column-gap: 1rem;
}

input[type=text].search {
    font-size: 11pt;
    font-weight: 500;
    width: 15rem;
    height: 1.75rem;
    margin: 0;
    padding: 0.25rem 0.5rem;
    border: none;
    outline: none;
    background-color: #FFFFFF;
}

.pagination {
    text-align: right;
}

    .pagination li.active {
        background-color: #dd2c00;
        border-radius: 0.25rem;
    }
